package com.trs.ggzyexchange.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 标段（包）
 * </p>
 *
 * @author trs
 * @since 2023-12-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GcPackage extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（来源系统）
     */
    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    /**
     * 数据来源系统的编码
     */
    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    /**
     * 招标项目编号
     */
    @TableField("TENDER_PROJECT_CODE")
    private String tenderProjectCode;

    /**
     * 原始数据唯一标识（来源系统）
     */
    @TableField("ORG_SOURCE_DATA_KEY")
    private String orgSourceDataKey;

    /**
     * 标段（包）编号
     */
    @TableField("BID_SECTION_CODE")
    private String bidSectionCode;

    /**
     * 标段（包）名称
     */
    @TableField("BID_SECTION_NAME")
    private String bidSectionName;

    /**
     * 统一交易标识码
     */
    @TableField("UNIFIED_DEAL_CODE")
    private String unifiedDealCode;

    /**
     * 标段（包）招标次数
     */
    @TableField("BID_ECTION_NUM")
    private Long bidEctionNum;

    /**
     * 标段（包）招标方式
     */
    @TableField("BID_TENDER_MODE")
    private String bidTenderMode;

    /**
     * 是否允许联合体投标
     */
    @TableField("SYNDICATED_FLAG")
    private String syndicatedFlag;

    /**
     * 标段（包）所在行政区域代码
     */
    @TableField("REGION_CODE")
    private String regionCode;

    /**
     * 交易发生行政区域代码
     */
    @TableField("TRA_PLACE_CODE")
    private String traPlaceCode;

    /**
     * 标段（包）内容
     */
    @TableField("BID_SECTION_CONTENT")
    private String bidSectionContent;

    /**
     * 标段（包）分类代码
     */
    @TableField("TENDER_PROJECT_CLASSIFY_CODE")
    private String tenderProjectClassifyCode;

    /**
     * 价款形式代码
     */
    @TableField("PRICE_FORM_CODE")
    private String priceFormCode;

    /**
     * 标段合同估算价
     */
    @TableField("CONTRACT_RECKON_PRICE")
    private BigDecimal contractReckonPrice;

    /**
     * 标段合同估算价币种代码
     */
    @TableField("CURRENCY_CODE")
    private String currencyCode;

    /**
     * 标段合同估算价单位
     */
    @TableField("PRICE_UNIT")
    private String priceUnit;

    /**
     * 费率或其它类型合同估算
     */
    @TableField("OTHER_PRICE")
    private String otherPrice;

    /**
     * 投标人资格条件
     */
    @TableField("BID_QUALIFICATION")
    private String bidQualification;

    /**
     * 标段(包)建立时间
     */
    @TableField("CREATE_TIME")
    private Long createTime;

    /**
     * 交易系统标识码
     */
    @TableField("PLATFORM_CODE")
    private String platformCode;

    /**
     * 交易服务系统标识码
     */
    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    /**
     * 数据时间戳
     */
    @TableField("DATA_TIMESTAMP")
    private Long dataTimestamp;

    /**
     * 交易平台或发布工具标识码
     */
    @TableField("TRADE_PLAT")
    private String tradePlat;

    /**
     * 公共服务平台标识码
     */
    @TableField("PUB_SERVICE_PLAT")
    private String pubServicePlat;

    /**
     * 计划开工日期
     */
    @TableField("BEGIN_DATE")
    private Long beginDate;

    /**
     * 计划工期
     */
    @TableField("LIMITE_TIME")
    private BigDecimal limiteTime;

    /**
     * 交易中心编码
     */
    @TableField("DATA_SOURCE_CODE")
    private String dataSourceCode;


}
