package com.trs.ggzyexchange.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 土地使用权出让结果
 * </p>
 *
 * @author trs
 * @since 2023-12-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ZrzyTdCedeResult extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（来源系统）
     */
    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    /**
     * 数据来源系统的编码
     */
    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    /**
     * 项目编号ID
     */
    @TableField("ANNOUNCEMENT_GUID")
    private String announcementGuid;

    /**
     * 项目名称
     */
    @TableField("LAND_PROJECT_NAME")
    private String landProjectName;

    /**
     * 统一交易标识码
     */
    @TableField("UNIFIED_DEAL_CODE")
    private String unifiedDealCode;

    /**
     * 通知类型
     */
    @TableField("NOTIFY_TYPE")
    private String notifyType;

    /**
     * 竞得人名称
     */
    @TableField("WIN_NAME")
    private String winName;

    /**
     * 竞得人代码
     */
    @TableField("WIN_CODE")
    private String winCode;

    /**
     * 竞买号
     */
    @TableField("BID_CODE")
    private String bidCode;

    /**
     * 联系人
     */
    @TableField("CONTACTOR")
    private String contactor;

    /**
     * 联系电话
     */
    @TableField("CONTACT_INFORMATION")
    private String contactInformation;

    /**
     * 成交时间
     */
    @TableField("WIN_BID_TIME")
    private Long winBidTime;

    /**
     * 价款形式代码
     */
    @TableField("PRICE_FORM_CODE")
    private String priceFormCode;

    /**
     * 成交价格币种
     */
    @TableField("PRICE_CURRENCY")
    private String priceCurrency;

    /**
     * 成交金额
     */
    @TableField("BID_WINNER_AMOUNT")
    private BigDecimal bidWinnerAmount;

    /**
     * 价格单位
     */
    @TableField("PRICE_UNIT")
    private String priceUnit;

    /**
     * 费率或其它类型结果
     */
    @TableField("OTHER_BID_PRICE")
    private String otherBidPrice;

    /**
     * 交易系统标识码
     */
    @TableField("PLATFORM_CODE")
    private String platformCode;

    /**
     * 交易服务系统标识码
     */
    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    /**
     * 数据时间戳
     */
    @TableField("DATA_TIMESTAMP")
    private Long dataTimestamp;


}
